package at.ac.uibk.gitsearch.repository.search;

public final class SearchRepositoryConstants {

    public static final String INDEX_FULLTEXT = "fulltext";
    public static final String INDEX_METADATA = "metadata";

    public static final String EXERCISE_ID = "_id";

    public static final String FULLTEXT_CONTENT = "content";
    public static final String FULLTEXT_PROJECT_ID = "project.project_id";
    public static final String FULLTEXT_SUB_GROUP_AGG = "by_project.sub_group";
    public static final String FULLTEXT_SUB_GROUP = "project.sub_group";
    public static final String FULLTEXT_FILE_EXTENSION_AGG = "by_file.file_format";
    public static final String FULLTEXT_FILE_EXTENSION = "file.file_format";
    public static final String FULLTEXT_REPOSITORY_AGG = "by_project.project_name";
    public static final String FULLTEXT_REPOSITORY = "project.project_name";

    public static final String METADATA_TITLE = "metadata.title";
    public static final String METADATA_DESCRIPTION = "metadata.description";
    public static final String METADATA_KEYWORDS = "metadata.keyword";
    public static final String METADATA_FORMATS = "metadata.format";
    public static final String METADATA_PROGRAMMING_LANGUAGES = "metadata.programmingLanguage";
    public static final String METADATA_PROJECT_ID = "project.project_id";
    public static final String METADATA_CREATOR = "metadata.creator.name";
    public static final String METADATA_CREATOR_EMAIL = "metadata.creator.email";
    public static final String METADATA_CONTRIBUTOR = "metadata.contributor.name";
    public static final String METADATA_CONTRIBUTOR_EMAIL = "metadata.contributor.email";
    public static final String METADATA_PUBLISHER = "metadata.publisher.name";
    public static final String METADATA_PUBLISHER_EMAIL = "metadata.publisher.email";
    public static final String METADATA_LICENSE = "metadata.license";
    public static final String METADATA_LEARNING_RESOURCE_TYPE = "metadata.learningResourceType";
    public static final String METADATA_LANGUAGE = "metadata.language";
    public static final String METADATA_PUBLICVISIBILITY = "metadata.publicVisibility";

    public static final String FILE_PARENTID = "file.parentId";

    public static final String PROJECT_VISIBILITY = "project.visibility";
    public static final String PROJECT_NAMESPACE = "project.namespace";
    public static final String PROJECT_USERS = "project.users";
    public static final String PROJECT_GROUPS = "project.groups";
    public static final String PROJECT_LASTACTIVITYAT = "project.last_activity_at";

    private SearchRepositoryConstants() {
        // just a list of constants
    }
}
