package at.ac.uibk.gitsearch.service.mapper;

import at.ac.uibk.gitsearch.domain.Authority;
import at.ac.uibk.gitsearch.domain.SavedSearches;
import at.ac.uibk.gitsearch.service.dto.SavedSearchesDTO;
import java.util.Collections;
import java.util.Set;
import java.util.stream.Collectors;
import org.mapstruct.*;

/**
 * Mapper for the entity {@link SavedSearches} and its DTO {@link SavedSearchesDTO}.
 */
@Mapper(componentModel = "spring", uses = { UserMapper.class })
public interface SavedSearchesMapper extends EntityMapper<SavedSearchesDTO, SavedSearches> {
    default Set<Authority> stringToAuths(Set<String> auths) {
        if (auths == null) {
            return Collections.emptySet();
        } else return auths.stream().map(Authority::new).collect(Collectors.toSet());
    }
}
